Bug 179741 - zsh mysteriously loses some signals
zsh mysteriously loses some signals
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-02-02 11:33 EST by Oskari Saarenmaa
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-20 08:51:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oskari Saarenmaa 2006-02-02 11:33:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20060126 Fedora/1.5-5 Firefox/1.5

Description of problem:
After updating to latest rawhide yesterday by zsh started to act strangely, applications running under it don't seem to catch many of the signals that they are sent.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. zsh
2. cat
3. ctrl+c
4. cat
5. ctrl+c

Actual Results:  The first ctrl+c after starting a fresh zsh gets delivered, but the second one never arrives.

Expected Results:  SIGINT gets delivered to the application as expected.

Additional info:

I also noticed that running ssh under zsh made it lose its SIGCHLD signals which resulted in a number of zombie processes.

I'm not sure that this is zsh's fault (zsh wasn't updated in my latest rawhide update), but I haven't been able to reproduce the problems under bash.
Comment 1 Oskari Saarenmaa 2006-02-20 08:51:46 EST
Rebooting after updating to today's rawhide fixed the problem.  Never figured
out what caused it.

Note You need to log in before you can comment on or make changes to this bug.